--- 2.2.2 2011-04-16 ---
*** common changes ***
* Вирівнювання ip-адрес в чаті (тільки для моноширинних шрифтів).
* Додані опції конфігурації: ENABLE_STACKTRACE, WITH_DEV_FILES i EISKALTDCPP_INCLUDE_DIR.
* Доданий окремий файл для ведення логу повністю завершених завантажень.
*** eiskaltdcpp-qt ***
* Додана можливість зборки під Haiku-OS (див. файл INSTALL).
* Виправлено ​​завантаження смайлів зi ​​смайл-паків. Тепер можна використовувати будь-який стандартний формат для зображень, а не тільки PNG формат.
* Покращення в діалозі з чорним списком результатів пошуку.
* Виправлено ​​підсвічування статусних повідомлень у чаті: колір тепер застосовується до всього повідомленням.
* Поліпшення в віджет пошуку: спливаюча підказка показує де знаходиться файл, якщо він є в шарi.
* Виправлені невеликі витоки пам'яті та проведена чистка коду.
*** eiskaltdcpp-gtk ***
* Виправлена ​​ініціалізація панелі інструментів.
* Відключені повідомлення "Смайли не завантажились", коли смайли не використовуються.
*** eiskaltdcpp-daemon ***
* Додана можливість зборки під Haiku-OS (див. файл INSTALL).
* Додані опції командного рядка: --pidfile, --confdir, --localdir

--- 2.2.1 2011-03-08 ---
*** common changes ***
* Виправлена збірка під MS Windows.
* Часткова синхронізація з ядром DC++ (0.785).
* Виправлена підтримка Lua-скриптів. (Була зламана у версії 2.2.0 при синхронізації з ядром DC++)
* Виправлено баг з "порожньою шарою" під час запуску. Тепер при оновленні списку файлів робиться бекап, який використовується при запуску програми. Замітка: порожній список файлів --- це не порожня шара! (Багато користувачів помилялися на цей рахунок)
* Виправлена функція відповіді на пошукові запити на ADC-хабах. (Баг був доданий у версії 2.2.0 при синхронізації з ядром DC++)
* Додана можливість відключення сегментування і зміни розміру сегмента (у МiБ).
*** eiskaltdcpp-qt ***
* Виправлено падіння програми при використанні фільтра в результатах пошуку, коли приходять нові результати пошукового запиту.
* Алгоритм для додавання роздільника (горизонтальної лінії) для непрочитаних повідомлень в чаті оновлено. Тепер він працює прекрасно.
* Доданий пункт перегляду властивостей магнет-посилань в усі пов'язані меню.
* Додана підтримка пошукових magnet-посилань (магнети з ключем kt). (Див. також: https://bugs.launchpad.net/dcplusplus/+bug/674545)
* Виправлено використання комбінації клавіш Ctrl+C в особистому чаті. (Баг був доданий у версії 2.2.0)
* Додана опція відображення тільки завершених передач у віджетi передач. Використовується простий фільтр: незавершені завантаження можна приховати і знову показати.
* Код для роботи в базою даних (використовується SQLite) визнано стабільним. У таблиці завершених передач були додані стовпці, і щоб уникнути можливих проблем рекомендується видалити старі файли: ~/.config/eiskaltdc++/*.sqlite
* Деякі виправлення для користувальницьких команд.
* Додана можливість підсвічування ключових слів в чаті.
* Додана можливість налаштування кольорових прогрессбарiв завантаження/віддачі.
* Додана опція відтворення звуку при активному вікні особистого чату.
* Покращення в алгоритмі прокручування історії відправлених повідомлень.
* Виправлено падіння програми при видаленні активних (редагованих) елементів з чорного списку результатів пошуку. Додана можливість сортування списку.
* Тепер меню команд користувача не відображається, якщо список команд хаба порожній.
* Додана опція приховування іконок в меню. (Корисно для користувачів Mac OS X)
* Змінено реакція на порожній нік користувача при запуску програми: тепер відкривається діалог для введення ника замість загального діалогу налаштувань.
* Додана можливість використання aspell в збірці під MS Windows.
* Додана можливість вказати BIND_ADDRESS в діалозі налаштувань.
*** eiskaltdcpp-gtk ***
* Покращення у віджетi пошуку.
* Виправлено збереження кількості слотів віддачі в діалозі налаштувань. (Баг був доданий у версії 2.2.0)
* Додана опція відображення тільки завершених передач в віджет передач. Використовується жорсткий алгоритм: незавершені завантаження видаляються зі списку і більше не додаються до нього.
* Гарячі клавіші були синхронізовані з EiskaltDC++ Qt.
* Змінений парсер магнет-посилань.
* Виправлена збірка з libnotify> = 0.7.0.
* Виправлена проблема з завантаженням смайлів. (У xml-файлах смайл-паків було зазначено standalone = "no" замість "yes")
* Додана можливість відтворення звукових повідомлень без використання libgnome.
*** eiskaltdcpp-daemon ***
* Виправлена відправка пароля при підключеннi до хабiв з реєстрацією.
* Переписана частина коду, відповідальна за використання потоків. Тепер можливе збирання в MS Windows.
  Замітка: даний бінарник не може бути запущений як служба Windows, оскільки процес повинен запускатися від імені існуючого користувача (для доступу до налаштувань).
* XML-RPC доступ до програми зараз знаходиться в активній розробці, але ще не готовий.

--- 2.2.0 2011-01-16 ---
*** common changes ***
* Закінчено перехід на ядро 0.770. Цифра 0.770 є умовною, оскільки використовуються патчі і з більш пізніх ревізій. Але повна синхронізація з останнім ядром DC++ не планується через деякі його недолікі. Наприклад: 1) більш глибока прив'язка до libboost; 2) використання коду, що вимагає -std=c++0x і gcc >= 4.5.x; 3) використання налаштувань графічного вікна у конфігу ядра.
* Зламана підтримка Lua-скриптів. Збирайте програму з -DLUA_SCRIPT=OFF.
* Завдяки Uhlik доступний чеський переклад.
* Тепер обмеження на розмір шари не застосовуються до обраних користувачів, або користувачі, яким видано слот.
* Додано розширення PFSR (partial file sharing). Це дозволить вам завантажувати файли, які ще не повністю завантажені DC-клієнтами або вже були завантажені цілком, але ще не розшарені. (PFSR взято з проекту StrongDC++) [див. також http://www.adcportal.com/wiki/PFSR_-_Partial_file_sharing]
* Виправлено некоректне використання обмеження швидкості: якщо вказане значення більше нуля, то обмеження застосовувалося навіть якщо воно було відключено в налаштуваннях. (Проблема була додана в версії 2.1.0)
* Виправлено безвихідь при завантаженні файлів з дуже довгими іменами. Тип файлової системи тепер не має значення.
* Додано опцiю сокету ToS (Type-of-Service).
*** eiskaltdcpp-qt ***
* Виправлена обробка смайлів в нових повідомленнях. Тепер швидше і коректніше.
* Покращення у віджетi пошуку.
* Підсвічування дублікатів у шарі.
* Реалізований чорний список результатів пошуку.
* Доданий роздільник (горизонтальна лінія) для непрочитаних повідомлень в чаті. (За замовчуванням вимкнено) (Це експериментальна опція)
* Додана опція типу підключення в налаштуваннях обраних хабів.
* На панель інструментів додана кнопка включення обмеження швидкості.
* Додана можливість перенаправлення нових приватних повідомлень в загальний чат.
* Встановлення обмежень на шару тепер виробляється з віджету перегляду кулі. Просто відкрийте свій список файлів і скористайтеся меню.
* Відключено розфарбування прогрессбара у списку передач.
* Доданий пункт відкриття каталогу в контекстному меню для власного списку файлів.
* Доданий пункт копіювання веб-магнетов в усі пов'язані меню.
* Доданий пошуковий фрейм для особистого чату.
* Виправлено можливе зависання при підключенні до DynDNS.
* Роздруківка бектрейса в консоль при отриманні сигналу SIGSEGV (помилка сегментації).
* Виправлена помилка, коли в контекстному меню чату вибирався інший користувач. (Баг був доданий у версії 2.1.0)
* Виправлено баг відображення результатів пошуку при пошуку директорій. Відображався тільки один результат до застосування сортування.
* Виправлено баг відображення імен файлів в UTF-8 у віджетi списку файлів під MS Windows.
* Виправлено відкриття расшаренних каталогів з не ASCII символами у віджетi списку файлів під MS Windows.
* Перероблений діалог відправлення команди хабу.
* Виправлено баг з надсиланням повідомлення про відсутність ботам на NMDC хабах.
* Виправлено відновлення розкритого режиму вікна при запуску програми.
* Виправлена проблема з неможливістю завдання гарячої клавіші Esc в налаштуваннях.
* Підтримка bbCode тегів [s][/s], [code][/code], [url][/url] та [color][/color] у чаті.
* Підтримка вкладених bbCode тегів.
* Виправлена реакція на лівий клік по іконці в треї під MS Windows.
* Виправлено розмите відображення іконки програми на панелі завдань в MS Windows 7.
* У головне меню доданий пункт відриття magnet-посилання.
* Поліпшення в діалозі властивостей magnet-посилання: швидкий вибір раніше використовуваного каталогу для завантаження.
* Видалені зайві залежності при лінковке в Mac OS X.
* Виправлено невеликий баг в модулі антиспаму для головного чату. (Він був запроваджений у версії 2.1.0)
* Виправлена помилкова підсвічування файлів як дублікатів в результатах ADL-пошуку.
* Виправлено використання %[userNI] в логах чату. (Баг був доданий у версії 2.1.0)
* Доданый стовпець з інформацією про використання шифрування в списку передач.
* Виправлено падіння програми при отриманні в результатах пошуку записи з порожнім ім'ям файлу.
* При активації вікна фокус знову переводиться на полі введення. (Проблема був додана у версії 2.1.0)
* Змінений алгоритм перевірки запуску лише одного примірника програми. Тепер використовується QtSingleApplication.
* Додана підтримка бази даних SQLite. Зараз вона використовується для збереження списку завершених передач. (За замовчуванням вимкнено, див. файл INSTALL) (Це експериментальна опція)
* Виправлення в системі повідомлень при активному особистому листуванні.
* Подвійний клік на індикаторі вільного місця тепер відкриває каталог завантаження.
* Вилучена підтримка *напівжирного* і _підкресленого_ тексту в стилі Psi.
* Покращено "гарячу" зміну мови інтерфейсу, без перезапуску програми.
* Додана можливість масштабувати діалог налаштувань до менших розмірів. Розмір вікна запам'ятовується.
* Розширено діалог налаштувань.
*** eiskaltdcpp-gtk ***
* Покращення у віджетi пошуку.
* Виправлено шлях до файлу блокування повторного запуску програми (він був у ~/.dc++/). Тепер запускається лише один примірник DC-клієнта і правильно перехоплюються magnet-посилання.
* Додані гарячі клавіші Вліво/Вправо для розгортання дерева каталогів в віджет перегляду списку файлів.
* Розширено діалог налаштувань.
*** eiskaltdcpp-daemon ***
* Розпочато розробку. Увага: програма ще не готова для використання!
* На даний момент це некерований демон. Ви можете тільки запускати його і вбивати.
* Запущений процес (див. man-сторінку) підхоплює налаштування з файлів конфігурації, створені вручну або за допомогою графічних інтерфейсів на Qt або Gtk. У результаті: тривають розпочаті завантаження, користувачам доступна ваша шара тощо.

--- 2.1.1 2010-11-21 ---
*** загальні зміни ***
* Виправлено TigerHash для ARM архітектури.
* -DUSE_MINIUPNP встановлений в OFF за замовчуванням.
* Вирішено проблему з блокуванням використовуваних портів при перезапуску програми.
* Додана можливість використання бібліотеки pcre для застосування регекспів в стилі perl (див. опцію PERL_REGEX у файлі INSTALL). Зараз використовується тільки в ADL пошуку.
*** eiskaltdcpp-qt ***
* Виправлено падіння програми при видаленні останніх символів з поля введення в чаті, використовуючи клавішу Backspace. (Проблема виявлялася тільки з Qt 4.7.1)
* Оптимізовано парсер посилань. Дуже довгі нові повідомлення в чаті відображаються помітно швидше.
* Виправлено відкриття magnet-посилань для торрентів з чату.
* Додана можливість примусової зміни кольору фону в чаті.
* Виправлено неправильний шлях до іконки для App Bundle у Mac OS X. (Проблема була додана в 2.1.0)
* Підтримка bbCode в чаті ([b][/b], [u][/u], [i][/i]).
* Підтримка *напівжирного* і _підкресленого_ тексту в стилі Psi.
*** eiskaltdcpp-gtk ***
* Покращення в головному меню.
* Покращення в панелі інструментів.
* Підтримка bbCode в чаті ([b][/b], [u][/u], [i][/i]).

--- 2.1.0 2010-11-07 ---
*** загальні зміни ***
* Від основного бінарника відокремлена бібліотека libeiskaltdcpp для unix-подібних систем.
* Додана локалізація повідомлень ядра. Використовується gettext.
* Додана можливість використання Lua-скриптів (див. файл INSTALL).
* Додана можливість використання miniUPnP для підключення (див. файл INSTALL).
* Доданий комплект звукових файлів з проекту FlylinkDC++.
* Ядро (dcpp) частково оновлено до версії 0.777.
* Доданий NATT (див. http://www.adcportal.com/wiki/index.php/NATT_-_NAT_traversal)
* Зроблена можливість використання реєстро-залежного файл-листа (опцiя CaseSensitiveFilelist в SettingManager). Якщо у вас є каталоги, в яких одночасно перебувають файли виду file.txt, FILE.txt та/або File.txt, то тепер це не буде викликати проблеми з постійним оновленням шари і всі ці файли будуть одночасно доступні іншим користувачам для завантаження. Увага: при включенні цієї опції в програмі, вона буде змушена один раз повністю перехешувати ваші файли. За замовчуванням дана опція відключена, тому що вона може стати причиною порушення сумісності з іншими DC-клієнтами. (див. обговорення: https://bugs.launchpad.net/linuxdcpp/bug/311818)
* Увага: при оновленні програми до цієї версії, після перезапуску вона буде змушена один раз повністю перехешувати ваші файли. Це пов'язано з тим, що тепер файлові хеши зберігаються в реєстро-залежному вигляді. Як буде з цих хешей формуватися файл-лист, залежить від опції, описаної вище. За замовчуванням, у файл-листі імена файлів зберігаються в нижньому реєстрі, у відповідності зі специфікацією.
*** eiskaltdcpp-qt ***
* Тепер при приховуваннi меню (Ctrl+M) додається відповідна кнопка на панель інструментів.
* Додана можливість налаштування списку дій на панелі інструментів. (Правий клік на панелі --> Конфігурація)
* Додана опція відображення ip-адрес користувачів у чаті. (Залежить від налаштувань хаба: інформація про них зазвичай доступна тільки для операторів)
* Виправлена проблема з мінімальною шириною головного вікна в Mac OS X.
* Багаторядкова панель віджетів (табів).
* Додана можливість приховати кнопки закриття вкладок (див. контекстне меню на панелі).
* Завдяки Gustavo Alvarez доступний іспанський переклад.
* Завдяки Rusi Dimitrov доступний болгарський переклад.
* Завдяки Martin Durisin доступний словацький переклад.
* Додана можливість зборки без libupnp і QtDBus (див. файл INSTALL).
* Додана можливість зборки під MS Windows (див. файл win32/READ_ME.txt).
* Доданий індикатор прогресу хешування в статусну рядок. Об'єднані пункти меню 'Оновити шару' і 'Прогрес хешування'
* Розширено діалог налаштувань.
* Вилучений зайвий код (опція -DFREE_SPACE_BAR для cmake). Збірки з -DFREE_SPACE_BAR_C=ON працюють стабільно на всіх підтримуваних платформах.
* Додана можливість налаштування підключення через UPnP (використовується miniupnp).
* Видалена можливість збірки з libupnp 1.6 .* (опція USE_LIBUPNP).
* Додано команди чату /luafile i /lua (див. man-сторінку або /help в чаті).
* Доданий віджет для налаштування ADL-пошуку.
* Інтервал виявлення відсутності (перевірка активності користувача).
* Змінено функції роботи зі смайлами. Тепер можливо використовувати оригінальні смайл-паки від інших клієнтів без додаткової модифікації. Cмайл-паки, що поставляються в комплекті з програмою, є загальними для інтерфейсів на Qt та Gtk.
* Додана можливість використовувати регулярні вирази Qt у фільтрі списку користувачів (використовуйте ##<regexp> у фільтрі)
* Додане ведення логу антиспам-бота (файл antispam.log в ~/.config/eiskaltdc++/ або іншому каталозі, в залежності від опцій збірки).
* Доданий менеджер комбінацій клавіш.
* Додана підтримка Qt Declarative UI (працює тільки в Qt >= 4.7.0).
* Додана панель смайлів (див. відповідну опцію в Налаштування-->Інтерфейс-->Чат)
* Доданий діалог для обчислення TTH довільного файлу.
*** eiskaltdcpp-gtk ***
* Доданий Gtk інтерфейс, заснований на коді FreeDC++ і LinuxDC++.
* Інтерфейс локалізований з використанням gettext.
* Дефолтні іконки для Gtk інтерфейсу синхронізовані з дефолтними іконками з Qt інтерфейсу.
* Доданий віджет для налаштування ADL-пошуку.
* Додана можливість налаштування підключення через UPnP (використовується miniupnp).
* Додано команди чату /sh і /alias (див. man-сторінку або /help в чаті).
* Додано команди чату /luafile i /lua (див. man-сторінку або /help в чаті).
* Доданий діалог для обчислення TTH довільного файлу.
* Відображення картинок в чаті ([img]magnet[/img]).

--- 2.0.3 2010-06-08 ---
* Виправлено індикацію непрочитаних повідомлень за допомогою іконки в треї.
* Виправлені можливі проблеми з пошуком при використанні локалі, що відрізняється від UTF-8. (Тепер ядро бере не локальне, а дефалтне кодування, вказане в налаштуваннях)
* Додане графічне налаштування користувальницьких команд у діалозі налаштувань. (У попередніх версіях потрібно було правити xml-конфіг вручну)
* Завдяки Dmytro Demenko доступний український переклад.
* Завдяки Miroslav Petrovic доступний сербський переклад.
* Налаштування програми перенесені до теки $XDG_CONFIG_HOME/eiskaltdc++/ (змінна оточення $XDG_CONFIG_HOME частіше всього визначена як ~/.config/). Тека з налаштуваннями буде переміщена автоматично при першому запуску програми після оновлення. Використання $XDG_CONFIG_HOME у програмі можна відключити на етапі конфігурації, див. файл INSTALL.
* Додана можливість розміщення шаблонів із зумовленими налаштуваннями програми в теці /usr/share/eiskaltdcpp/config/ (залежить від опцій cmake, див. файл INSTALL). При першому запуску програми замість дефалтних налаштувань будуть скопійовані ці шаблони до особистих налаштувань користувача.
* Доданий drag'n'drop файлів у полі введення повідомлень. Якщо файл є в шарі, то замість нього підставляється одразу магнет-посилання.
* У команду чату /sh доданий макрос <magnet show=альтернативне ім'я файла>шлях до файлу</magnet>. Приклади його використання ви можете знайти у теці 'examples'.
* Доопрацьовано модуль антиспаму, тепер доступний увесь раніше запланований функціонал.
* Додана опція зміни способу представлення розмірів (кібібайт (КiБ) <=> кілобайт (КБ) і т.п.), див. man-сторінку.
* Додана базова підтримка QtScript (за замовчуванням вимкнено, див. файл INSTALL).
* Додана можливість використання системних іконок (за замовчуванням вимкнено, див. файл INSTALL).
* Додано приклади з використання яваскрипт-сценаріїв. Кращий зв'язок скриптів з ядром DC++ і клієнтською частиною.
* Автоматична зміна розміру рядка введення в чатах. (Використовуйте Shift+Enter для переносу рядка)
* Багфікси.

--- 2.0.2 2010-05-04 ---
* Завядки Alexandre Wallimann доступний французький переклад.
* Завядки Arahael доступний польський переклад.
* Додана можливість використання бокового доку зі списком віджетів замість однорядкової панелі з табами.
* Додана можливість сбірки з Qt >= 4.4.0. Раніше потребувалася Qt >= 4.5.0.
* Доданий фільтр в пошуковий віджет.
* Покращення в індикації нових повідомлень в чаті (різні іконки).
* Виправлено баг з падінням програми при використанні пошуку. Баг був присутній у всіх раніших ревізіях.
* Змінени дефолтні формати логів.
* Покращення в текстових полях вводу.
* Додано підменю в списку користувачів для копіювання потрібної інформації про них.

--- 2.0.1 2010-04-18 ---
* Доданий віджет з публічними хабами.
* Додана можливість фільтрації в основних віджетах (Ctrl+F).
* Підтримка режиму відсутності.
* Меню Файл розбито на декілька тематичних меню.
* Додані приклади користувальницьких скриптів.
* Доданий рядок з останнім статусним повідомленням на хабі.
* Додана панель швидкого пошуку.
* Додана можливість запуску декількох копій клієнта від різних користувачів системи.
  Проверьте, чтобы в настройках у них были указаны разные локальные порты.
* Завдяки Akos Berki доступний венгерський переклад.
* Додана можливість відключення чату на хабах при автопідключенні.
* Додана графичне налаштування для обмеження швидкості хешування.
* Додана можливість приозупинення процесу хешування.
* Додана можливість обмеження віддачі користувачам по розміру їх шари.
* Виправлені проблеми з розгортанням програми з трею в Gnome і Mac OS X.
* Додана історія відправлених повідомлень, кількість їх регулюється в налаштуваннях.
* Додана історія пошукових запитів, кількість їх регулюється в налаштуваннях.
* Покращене налаштування виключень файлів із шари.
* Суттєво розширено діалог налаштувань.
* Безліч багфіксів і т.д..

--- 2.0 2010-03-22 ---
* Міграція на ядро dc++ (v0.75) і, відповідно, підтримка протоколу ADC.
* Повнофункціональний чат (парсинг магнетів, посилань, смайли, пошук у чаті, фільтрація в списку користувачів, команди чату).
* Повнофункціональний пошуковик, файл-браузер (підсвічення вже розшарених файлів і т.д.).
* Групування передач в менеджері з'єднань.
* Окремий менеджер завантажень.
* Списки відданого/завантаженого.
* Обрані користувачі (автослот і т.д); обрані хаби.
* Текстові (як посередництвами Qt так і через встановлений по-замовчуванню системний менеджер сповіщень) і звукові сповіщення.
* Підтримка тем додатку, іконок і смайл-паки.
* Можливість не розшарювати файли по масці.
* Підтримка UPnP.
* Підміна тега для обраних хабів.
* Примусове вказання зовнішнього IP для обраних хабів.
* Автооновлення зовнішнього IP через DynDNS для обраних хабів.
* Пошуковий шпигун.
* IP-фільтр.
* Перевірка орфографії за допомогою Aspell.
